#ifndef FOURNISSEUR_H
#define FOURNISSEUR_H

#ifdef FOURNISSEUR_EXPORTS
#define FOURNISSEUR_API __declspec(dllexport)
#else
#define FOURNISSEUR_API __declspec(dllimport)
#endif

//
// Pour les fins de la simulation...
//
void FOURNISSEUR_API __stdcall
   debuter(unsigned int millis, unsigned int micros); // les paramtres reprsentent le dlai entre deux productions
void FOURNISSEUR_API __stdcall terminer();

struct raw_data {
   enum { BLOCK_SIZE = 1024 };
   double values[BLOCK_SIZE];
};

struct buffer_block {
   enum { NB_BUFFERS = 2 };
   int last_buffer_filled,
       fill_count;
   raw_data data[NB_BUFFERS];
};

int FOURNISSEUR_API __stdcall get_fill_count();
void FOURNISSEUR_API __stdcall get_buffer_blocks(buffer_block **);

#endif
